Bug 9756 - Patron self registration missing the system preference PatronSelfRegistrationAdditionalInstructions
Summary: Patron self registration missing the system preference PatronSelfRegistration...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-06 16:19 UTC by Kyle M Hall
Modified: 2014-05-26 21:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9756 - Patron self registration missing the system preference PatronSelfRegistrationAdditionalInstructions (3.71 KB, patch)
2013-03-06 16:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9756 - Patron self registration missing preference PatronSelfRegistrationAdditionalInstructions (3.74 KB, patch)
2013-03-11 18:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9756 - Patron self registration missing preference PatronSelfRegistrationAdditionalInstructions (3.79 KB, patch)
2013-03-12 11:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-03-06 16:19:29 UTC
The patron self registration system references a system preference PatronSelfRegistrationAdditionalInstructions as a free text field to add additional instructions for newly self registered patrons, but the system preference in neither created in the database, nor exposed via the staff interface.
Comment 1 Kyle M Hall 2013-03-06 16:34:10 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-03-11 18:58:51 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-03-12 11:09:43 UTC
QA comment:

This patch adds a missing syspref for opac self registration.
Simple patch, the content of the syspref appears at the opac after the registration is done.

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-03-12 11:09:57 UTC
Created attachment 16059 [details] [review]
Bug 9756 - Patron self registration missing preference PatronSelfRegistrationAdditionalInstructions

The patron self registration system references a system preference
PatronSelfRegistrationAdditionalInstructions as a free text field
to add additional instructions for newly self registered patrons,
but the system preference in neither created in the database,
nor exposed via the staff interface.

Test Plan:
1) Apply patch
2) Run updatedatabase.pl
3) Add some text to the new system preference
   PatronSelfRegistrationAdditionalInstructions
4) Enable opac self registrations and complete a self registration
5) Note the additional instructions you entered appear on the
   "registration complete" page

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2013-03-15 23:12:07 UTC
This patch has been pushed to master.